using System;
using System.Web;
using System.Web.UI.WebControls;

public partial class Master : System.Web.UI.MasterPage
{
	/// <summary>
	/// Nastavuje (nebo zkryva) odkaz na stranku o uroven vyse
	/// a zjistuje titulek aktualni stranky.
	/// </summary>
	protected void Page_Load(object sender, EventArgs e)
  {
		// Zjistit titulek stranky z aktualni polozky
		lblPage.Text=SiteMap.CurrentNode.Title;

		// Zjistit stranku o uroven vys a pokud 
		// existuje tak nastavit adresu odkazu
		SiteMapNode parent=SiteMap.CurrentNode.ParentNode;
		if (parent==null)
			lnkTop.Visible=false;
		else
			lnkTop.NavigateUrl=parent.Url;
  }


	/// <summary>
	/// Vytvari seznam odkazu na vsechny podrazene
	/// stranky aktualni stranky
	/// </summary>
	protected override void OnInit(EventArgs e)
	{
		// Prochazi vsechny child polozky aktualni stranky
		foreach (SiteMapNode child in SiteMap.CurrentNode.ChildNodes)
		{
			// Vytvori odkaz..
			HyperLink lnk=new HyperLink();
			lnk.Text=child.Title+"<br />";
			lnk.NavigateUrl=child.Url;

			// .. a vlozi ho do stranky
			placeLinks.Controls.Add(lnk);
		}
		base.OnInit(e);
	}
}
